Bug 144512 - Gettign ready for octave forge updates
Summary: Gettign ready for octave forge updates
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-06 21:20 UTC by Stephen Montgomery-Smith
Modified: 2010-06-02 17:30 UTC (History)
0 users

See Also:


Attachments
file.diff (268 bytes, patch)
2010-03-06 21:20 UTC, Stephen Montgomery-Smith
no flags Details | Diff
file.diff (31.36 KB, patch)
2010-03-06 21:20 UTC, Stephen Montgomery-Smith
no flags Details | Diff
uuu (655 bytes, text/plain)
2010-05-22 05:15 UTC, Stephen Montgomery-Smith
no flags Details
vvv (29.98 KB, text/plain)
2010-05-22 05:15 UTC, Stephen Montgomery-Smith
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen Montgomery-Smith 2010-03-06 21:20:01 UTC
A large number of the octave forge ports need version updates.  But the new 
release system they have is creating releases that don't quite fit into the
old paradigm.  A big difference is that they don't all use configure any more.

This PR moves all the "GNU_CONFIGURE=yes" stuff from bsd.octave.mk to the 
individual ports.

When this is committed, I will be able start the process of doing a version
update on each octave forge port.
Comment 1 Stephen Montgomery-Smith 2010-03-06 22:59:38 UTC
Also, as well as deleting GNU_CONFIGURE=yes from bsd.octave.mk, can you 
also change MASTER_SITES as follows:

MASTER_SITES= 
SF/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases \
                 SF/octave/Octave%20Forge%20Packages/R2009-06-07 \
                 SF/octave/Octave%20Forge%20Packages/R2009-05-08
Comment 2 Martin Wilke freebsd_committer 2010-03-07 08:33:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 Stephen Montgomery-Smith 2010-04-30 02:28:09 UTC
Miwi,

Could you go ahead and commit this PR?  Over the summer, I'll work on 
updating the octave ports, which have already moved through many 
changes.  But I need to commit this PR first.

Stephen
Comment 4 Martin Wilke freebsd_committer 2010-05-08 10:35:33 UTC
State Changed
From-To: open->feedback

can you please sync this patch with the current portstree seems some 
ports no longer present in the tree and some i see some rejects
Comment 5 Stephen Montgomery-Smith 2010-05-22 05:15:36 UTC
Here is a redone set of patches.

I also went ahead and updated octave-forge-image, as it doesn't 
currently build.  This also acts as a test of how an update will work in 
the new system.

For all the other octave-forge ports, the packages will be no different, 
so no portrevision bump is required.
Comment 6 Stephen Montgomery-Smith 2010-05-29 15:26:53 UTC
Sorry to nag, but I would really like to have this committed before 
there is any kind of ports freeze for 8.1.

Thanks, Stephen
Comment 7 Martin Wilke freebsd_committer 2010-06-02 17:23:50 UTC
State Changed
From-To: feedback->closed

committed, really sorry for the long wait time. thanks.
Comment 8 dfilter service freebsd_committer 2010-06-02 17:24:00 UTC
miwi        2010-06-02 16:23:51 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.octave.mk 
    math/octave-forge-ad Makefile 
    math/octave-forge-audio Makefile 
    math/octave-forge-bim Makefile 
    math/octave-forge-bioinfo Makefile 
    math/octave-forge-civil-engineering Makefile 
    math/octave-forge-combinatorics Makefile 
    math/octave-forge-communications Makefile 
    math/octave-forge-control Makefile 
    math/octave-forge-data-smoothing Makefile 
    math/octave-forge-econometrics Makefile 
    math/octave-forge-engine Makefile 
    math/octave-forge-financial Makefile 
    math/octave-forge-fpl Makefile 
    math/octave-forge-ga Makefile 
    math/octave-forge-general Makefile 
    math/octave-forge-generate_html Makefile 
    math/octave-forge-gsl Makefile 
    math/octave-forge-ident Makefile 
    math/octave-forge-image Makefile distinfo 
    math/octave-forge-informationtheory Makefile 
    math/octave-forge-integration Makefile 
    math/octave-forge-io Makefile 
    math/octave-forge-irsa Makefile 
    math/octave-forge-linear-algebra Makefile 
    math/octave-forge-mapping Makefile 
    math/octave-forge-miscellaneous Makefile 
    math/octave-forge-missing-functions Makefile 
    math/octave-forge-msh Makefile 
    math/octave-forge-multicore Makefile 
    math/octave-forge-nan Makefile 
    math/octave-forge-nlwing2 Makefile 
    math/octave-forge-nnet Makefile 
    math/octave-forge-nurbs Makefile 
    math/octave-forge-ocs Makefile 
    math/octave-forge-oct2mat Makefile 
    math/octave-forge-octcdf Makefile 
    math/octave-forge-octgpr Makefile 
    math/octave-forge-odebvp Makefile 
    math/octave-forge-odepkg Makefile 
    math/octave-forge-optim Makefile 
    math/octave-forge-optiminterp Makefile 
    math/octave-forge-outliers Makefile 
    math/octave-forge-pdb Makefile 
    math/octave-forge-physicalconstants Makefile 
    math/octave-forge-plot Makefile 
    math/octave-forge-pt_br Makefile 
    math/octave-forge-quaternion Makefile 
    math/octave-forge-secs1d Makefile 
    math/octave-forge-secs2d Makefile 
    math/octave-forge-signal Makefile 
    math/octave-forge-simp Makefile 
    math/octave-forge-sockets Makefile 
    math/octave-forge-spanish Makefile 
    math/octave-forge-specfun Makefile 
    math/octave-forge-special-matrix Makefile 
    math/octave-forge-spline-gcvspl Makefile 
    math/octave-forge-splines Makefile 
    math/octave-forge-statistics Makefile 
    math/octave-forge-strings Makefile 
    math/octave-forge-struct Makefile 
    math/octave-forge-symband Makefile 
    math/octave-forge-symbolic Makefile 
    math/octave-forge-tcl-octave Makefile 
    math/octave-forge-time Makefile 
    math/octave-forge-tsa Makefile 
    math/octave-forge-video Makefile 
    math/octave-forge-xraylib Makefile 
    math/octave-forge-zenity Makefile 
  Log:
  A large number of the octave forge ports need version updates. But the new
  release system they have is creating releases that don't quite fit into the
  old paradigm. A big difference is that they don't all use configure any more.
  
  This moves all the "GNU_CONFIGURE=yes" stuff from bsd.octave.mk to the
  individual ports.
  
  PR:             144512
  Submitted by:   Stephen Montgomery-Smith <stephen@missouri.edu> (maintainer)
  
  Revision  Changes    Path
  1.9       +3 -3      ports/Mk/bsd.octave.mk
  1.9       +1 -0      ports/math/octave-forge-ad/Makefile
  1.9       +1 -0      ports/math/octave-forge-audio/Makefile
  1.10      +1 -0      ports/math/octave-forge-bim/Makefile
  1.8       +1 -0      ports/math/octave-forge-bioinfo/Makefile
  1.8       +1 -0      ports/math/octave-forge-civil-engineering/Makefile
  1.9       +1 -0      ports/math/octave-forge-combinatorics/Makefile
  1.8       +1 -0      ports/math/octave-forge-communications/Makefile
  1.9       +1 -0      ports/math/octave-forge-control/Makefile
  1.9       +1 -0      ports/math/octave-forge-data-smoothing/Makefile
  1.8       +1 -0      ports/math/octave-forge-econometrics/Makefile
  1.9       +1 -0      ports/math/octave-forge-engine/Makefile
  1.9       +1 -0      ports/math/octave-forge-financial/Makefile
  1.10      +1 -0      ports/math/octave-forge-fpl/Makefile
  1.9       +1 -0      ports/math/octave-forge-ga/Makefile
  1.8       +1 -0      ports/math/octave-forge-general/Makefile
  1.5       +1 -0      ports/math/octave-forge-generate_html/Makefile
  1.11      +1 -0      ports/math/octave-forge-gsl/Makefile
  1.8       +1 -0      ports/math/octave-forge-ident/Makefile
  1.9       +5 -3      ports/math/octave-forge-image/Makefile
  1.3       +3 -3      ports/math/octave-forge-image/distinfo
  1.9       +1 -0      ports/math/octave-forge-informationtheory/Makefile
  1.8       +1 -0      ports/math/octave-forge-integration/Makefile
  1.9       +1 -0      ports/math/octave-forge-io/Makefile
  1.8       +1 -0      ports/math/octave-forge-irsa/Makefile
  1.9       +1 -0      ports/math/octave-forge-linear-algebra/Makefile
  1.8       +1 -0      ports/math/octave-forge-mapping/Makefile
  1.9       +1 -0      ports/math/octave-forge-miscellaneous/Makefile
  1.8       +1 -0      ports/math/octave-forge-missing-functions/Makefile
  1.10      +1 -0      ports/math/octave-forge-msh/Makefile
  1.9       +1 -0      ports/math/octave-forge-multicore/Makefile
  1.9       +1 -0      ports/math/octave-forge-nan/Makefile
  1.7       +1 -0      ports/math/octave-forge-nlwing2/Makefile
  1.8       +1 -0      ports/math/octave-forge-nnet/Makefile
  1.6       +1 -0      ports/math/octave-forge-nurbs/Makefile
  1.9       +1 -0      ports/math/octave-forge-ocs/Makefile
  1.6       +1 -0      ports/math/octave-forge-oct2mat/Makefile
  1.9       +1 -0      ports/math/octave-forge-octcdf/Makefile
  1.8       +1 -0      ports/math/octave-forge-octgpr/Makefile
  1.8       +1 -0      ports/math/octave-forge-odebvp/Makefile
  1.9       +1 -0      ports/math/octave-forge-odepkg/Makefile
  1.9       +1 -0      ports/math/octave-forge-optim/Makefile
  1.8       +1 -0      ports/math/octave-forge-optiminterp/Makefile
  1.8       +1 -0      ports/math/octave-forge-outliers/Makefile
  1.8       +1 -0      ports/math/octave-forge-pdb/Makefile
  1.8       +1 -0      ports/math/octave-forge-physicalconstants/Makefile
  1.8       +1 -0      ports/math/octave-forge-plot/Makefile
  1.8       +1 -0      ports/math/octave-forge-pt_br/Makefile
  1.4       +1 -0      ports/math/octave-forge-quaternion/Makefile
  1.8       +1 -0      ports/math/octave-forge-secs1d/Makefile
  1.8       +1 -0      ports/math/octave-forge-secs2d/Makefile
  1.9       +1 -0      ports/math/octave-forge-signal/Makefile
  1.5       +1 -0      ports/math/octave-forge-simp/Makefile
  1.7       +1 -0      ports/math/octave-forge-sockets/Makefile
  1.5       +1 -0      ports/math/octave-forge-spanish/Makefile
  1.8       +1 -0      ports/math/octave-forge-specfun/Makefile
  1.8       +1 -0      ports/math/octave-forge-special-matrix/Makefile
  1.9       +1 -0      ports/math/octave-forge-spline-gcvspl/Makefile
  1.8       +1 -0      ports/math/octave-forge-splines/Makefile
  1.9       +1 -0      ports/math/octave-forge-statistics/Makefile
  1.8       +1 -0      ports/math/octave-forge-strings/Makefile
  1.8       +1 -0      ports/math/octave-forge-struct/Makefile
  1.9       +1 -0      ports/math/octave-forge-symband/Makefile
  1.9       +1 -0      ports/math/octave-forge-symbolic/Makefile
  1.9       +1 -0      ports/math/octave-forge-tcl-octave/Makefile
  1.8       +1 -0      ports/math/octave-forge-time/Makefile
  1.8       +1 -0      ports/math/octave-forge-tsa/Makefile
  1.9       +1 -0      ports/math/octave-forge-video/Makefile
  1.9       +1 -0      ports/math/octave-forge-xraylib/Makefile
  1.8       +1 -0      ports/math/octave-forge-zenity/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"